aboutsummaryrefslogtreecommitdiffstats
path: root/extra/clamsmtp/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-02-03 11:42:48 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-03 14:06:12 +0000
commitb68f3acbc17925ef698562d13616a6f627d0155f (patch)
treea99f49692e6d47d61e61fa14605966f3ad1068b7 /extra/clamsmtp/APKBUILD
parent3eb2093259273aa7dfa99703451562d540b69c95 (diff)
downloadaports-b68f3acbc17925ef698562d13616a6f627d0155f.tar.gz
aports-b68f3acbc17925ef698562d13616a6f627d0155f.tar.bz2
aports-b68f3acbc17925ef698562d13616a6f627d0155f.tar.xz
extra/clamstmp: new aport
Diffstat (limited to 'extra/clamsmtp/APKBUILD')
-rw-r--r--extra/clamsmtp/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/extra/clamsmtp/APKBUILD b/extra/clamsmtp/APKBUILD
new file mode 100644
index 0000000000..9f4e1bb408
--- /dev/null
+++ b/extra/clamsmtp/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Carlo Landmeter <clandmeter at gmail>
+# Maintainer: Carlo Landmeter <clandmeter at gmail>
+pkgname=clamsmtp
+pkgver=1.10
+pkgrel=0
+pkgdesc="An SMTP Virus Filter"
+url="http://memberwebs.com/stef/software/clamsmtp/"
+license="as-is"
+depends="uclibc"
+makedepends=""
+subpackages="$pkgname-doc"
+source="http://memberwebs.com/stef/software/clamsmtp/${pkgname}-${pkgver}.tar.gz
+clamsmtp.confd
+clamsmtp.initd"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --mandir=/usr/share/man \
+ --infodir=/usr/share/info
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+
+ install -Dm644 doc/clamsmtpd.conf "$pkgdir"/etc/clamsmtpd.conf
+ install -Dm755 "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+ install -Dm644 "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+
+md5sums="b068ba6e444859782bbdd88f290c1abf clamsmtp-1.10.tar.gz"